/* Font */
@import url('https://fonts.googleapis.com/css2?family=Poppins&display=swap');

/* Define colour variables */
:root {
  --main-bg-color: hsla(198, 21%, 80%, 0.07);
  --main-emphasis-color: #2D5E04;
  --main-link-color: #387605;
  --main-light-text-color: #484848;
  --secondary-emphasis-color: #FEFEFE;
  --tile-shadow: 0px 4px 7px 0px #484848;
  --element-padding: 5px;
  --main-border-radius: 10px;
  --app-padding: 20px;
}

/* Custom scroll bar */
::-webkit-scrollbar {
  width: 5px;
}


::-webkit-scrollbar-track {
  background: #f1f1f1;
}


::-webkit-scrollbar-thumb {
  background: var(--main-emphasis-color);
}


::-webkit-scrollbar-thumb:hover {
  background: #555;
}

body {
  font-family: "Poppins", sans-serif;
  color: var(--main-light-text-color);
  font-size: 1.5em;
  word-break: break-word;
  overflow: hidden;
  display: flex;
  height: 100vh;
}

a {
  color: var(--main-link-color);
  text-decoration: underline;
}

.container-fluid {
  padding: 0;
  margin: 0;
}


#app-container {
  height: 100vh;
  width: 100vw;
  transition: 0.5s ease-in-out;
  display: flex;
  flex-direction:column;
}

#title-search-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  transition: 0.5s ease-in-out;
  width: 100%;
  flex: 1;
  background-color: var(--main-emphasis-color);
}

#title-subtitle-container {
  display: flex;
  flex-direction: column;
  padding: 10px;
  padding-bottom: 0;
  width: 100%;
}

#title {
  color: var(--secondary-emphasis-color);
  font-size: 5em;
  font-weight: bold;
  transition: 0.5s ease-in-out;
  text-align: center;
}

#subtitle {
  color: var(--secondary-emphasis-color);
  font-size: 3em;
  font-weight: bold;
  text-align: center;
}

#search-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
  padding: 10px;
  width: 100%;
  flex-wrap: wrap;
}

#Search_picker-label {
  display: none;
}

#filter-dropdown-button {
  padding: 5px;
  color: var(--secondary-emphasis-color);
  cursor: pointer;
}

#searchfield-filterbutton-container {
  display: flex;
  flex-direction:row;
  align-items: center;
  justify-content: center;
  transition: 0.2s ease-in-out;
}

#pickers-container {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  flex-wrap: wrap;
  gap: 10px;
  transition: 0.2s ease-in-out;
}

#advanced-pickers-container{
  display: flex;
  flex-direction: row;
  max-height: 0;
  opacity: 0;
  visibility: hidden;
  width: 100%;
  transition: 0.2s ease-in-out;
  justify-content: center;
  gap: 10px
  
}

.expand-pickers {
  max-height: 100% !important;
  visibility: visible !important;
  opacity: 1 !important;
  transition: 0.2s ease-in-out;
}

.search-minimised {
  align-items: flex-start !important;
  border-radius: 10px;
  margin-bottom: 10px;
}

.checkbox-container {
  width: 100%; 
  display: flex;
  justify-content: center; 
  text-align: center;
  color: var(--secondary-emphasis-color);
}

.form-group {
  margin-bottom: 0;
}

.control-label {
  color: white;
}

#Map_listings_container {
  display: flex;
  width: 100%;
}



.dropdown-menu {
  z-index: 100000 !important;
}


.shiny-output-error-validation {
  text-align: center;
  padding: 50px;
  font-size: 1.1em;
}

#map-listings-container {
  display: flex;
  max-height: 0;
  opacity: 0;
  transition: max-height 0.5s ease-in-out, opacity 0.5s ease-in-out;
  min-height: 0;
  width: 100%;
  height: 95%;
  flex: 6;
  border: 1px solid var(--main-emphasis-color);
  border-radius: 10px;
}


.visible {
  max-height: 100% !important; /* Remove the max-height limit */
  opacity: 1 !important; /* Make the map-listings-container fully visible */
}

.map-container {
  width: 99%;
  height:100%;
  flex: 2;
}

footer {
  display: none;
  flex: 1;
  background-color: var(--main-emphasis-color);
  padding: var(--element-padding);
  color: white;
  max-height: 5%;
  align-items: center;
  border-radius: 10px;
  margin-top: 10px;
}

.credit {
  padding: var(--element-padding);
}

footer a {
  color: white !important;
  text-decoration: underline;
}

#Map_output {
  border-radius: var(--main-border-radius);
}

#listings-container {
  height: 100%;
  flex: 1;
  overflow: hidden;
  padding-left: var(--element-padding);
  padding-top: var(--element-padding);
}

#Listings_output {
  width: 99%;
  flex: 1;
  height: 100%;
  overflow-y: scroll;
  overflow-x: hidden;
  padding-right: 5px;
}

.listing-child {
  border-radius: var(--main-border-radius);
  border: 1px solid var(--main-emphasis-color);
  background-color: var(--main-bg-color);
  padding: 5px;
  font-size:0.9em;
  color: var(--main-light-text-color);
  margin-bottom: 10px;
  transition: 0.2s;
}


.listing-child:hover {
  cursor: pointer;
  box-shadow: var(--tile-shadow);
}

#listing-title-category-container {
  display: flex;
  flex-direction: column;
  align-items: start;
}

#listing-title {
  padding: var(--element-padding);
  font-weight: bold;
  font-size: 1.3em;
  color: var(--main-emphasis-color);
  margin: 0 !important;
}

.listing-subheading {
  color: var(--main-emphasis-color);
  font-weight:bold;
  font-size:1.2em;
}

#listing-category-container {
  display: flex;
  padding: var(--element-padding);
  gap: 5px;
}

.listing-category-child {
  color: white;
  border-radius: 5px;
  font-size: 0.7em;
  padding-left: 5px;
  padding-right: 5px;
  height: fit-content;
}

.shadow {
  position: absolute;
  left: 0;
  z-index: 100;
  width: 100%;
  height: 10px;
  background: red;
}

.shadow-top {
  top: 0;
  background: -webkit-linear-gradient(270deg, rgba(0, 0, 0, 0.35), transparent);
  background: linear-gradient(180deg, rgba(0, 0, 0, 0.35), transparent);
  opacity: 0;
}

.shadow-bottom {
  bottom: 0;
  background: -webkit-linear-gradient(90deg, rgba(0, 0, 0, 0.35), transparent);
  background: linear-gradient(0deg, rgba(0, 0, 0, 0.35), transparent);
}

#listing-address {
  padding-left: var(--element-padding);
  padding-right: var(--element-padding);
}

#listing-phone-email-container {
  display: flex;
  justify-content: space-between;
  padding-left: var(--element-padding);
  padding-right: var(--element-padding);
}

#listing-phone {
  flex: 1;
  margin-right:10px;
  display: flex;
  gap: 10px;
}

#listing-email {
  flex: 1;
  display: flex;
  gap: 10px;
}

.show-more-panel {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.2s ease-out;
}

/* Toggled when a listing-child is clicked - expands the dropdown */
.expand-listing {
  max-height: unset;
  transition: max-height 0.2s ease-out;
}

.active-listing {
  box-shadow: var(--tile-shadow);
  
}

#listing-description {
  padding-left: var(--element-padding);
  padding-right: var(--element-padding);
  font-size: 0.9em;
  font-style: italic;
}

#listing-openhours {
  padding-left: var(--element-padding);
  padding-right: var(--element-padding);
  font-size: 0.9em;
}

.listing-open-hours-child {
  display: flex;
  justify-content: space-between;
}

.listing-open-hours-day {
  font-weight: bold;
  color: var(--main-emphasis-color);
  font-size: 1.1em;
}

#listing-site {
  padding-left: var(--element-padding);
  padding-right: var(--element-padding);
  font-size: 1.2em;
  display: flex;
  align-items: baseline;
  justify-content: center;
}

#listing-site a {
  margin-left: 5px;
}

.show-more-button {
  display: flex;
  justify-content: center;
  align-items: baseline;
  gap: 5px;
  cursor: pointer;
  
  font-size: 1.1em;
}


@media(max-width: 950px) {
  .map-container {
    flex: 1;
  }
}


@media(max-width: 550px) {
  
  body {
    overflow: scroll;
  }
  
  #title-search-container {
    border-radius: unset;
    margin-bottom: unset;
  }
  
  #title-subtitle-container {
    font-size: 0.7em;
  }
  
  #search-container {
    justify-content: normal;
  }
  
  .search-container-child {
    max-width: 46%;
  }
  
  #map-listings-container {
    border-radius: unset;
  }
  
  #Map_listings_container {
    flex-direction: column;
  }
  
  #listings-container {
    font-size: 0.8em;
  }
  
  footer {
    padding: 5px;
    font-size: 0.7em;
    margin-bottom: -1px;
    border-radius: unset;
    margin-top: unset;
  }
}